mime=new Object;

mime.decode_multipart=function(str, boundary) {
	var parts=str.split(boundary);
	var ret=new Object;

	var i;
	for (i in parts) {
		var f=new stringfile(parts[i]);
		 // swallow linefeed after boundary
		f.readline();
		var part=mime.decode(f);
		if (part.filename) {
			ret[part.name]=part;
		} else {
			ret[part.name]=part.content;
		}
	}

	return ret;
}

mime.name_value_pair_decode=function(str) {
	var pairs=str.split("; ");
	var ret=new String(pairs[0]);
	var i;
	for (i in pairs) {
		if (i!=0) {
			var nv=pairs[i].split("=");
			ret[nv[0]]=mime.attrib_value_decode(nv[1]);
		}
	}
	return ret;
}

mime.name_value_pair_encode=function(obj) {
	var ret=String(obj);
	if (typeof(obj)=="object") {
		var i;
		for (i in obj) {
			ret+="; "+i+"="+mime.attrib_value_encode(obj[i]);
		}
	}
	return ret;
}

mime.attrib_value_decode=function(str) {
	if (str[0]=="\"") return str.substr(1,str.length-2);
	else return str;
}

mime.attrib_value_encode=function(str) {
	return "\""+str+"\"";
}

mime.decode=function(file) {
	var ret=new Object;

	while (!file.eof()) {
		var line=chop(file.readline());
		var colonpos=line.indexOf(':');
		if (colonpos==-1) break;

		var header=line.substr(0,colonpos);
		var attrib=mime.name_value_pair_decode(line.substr(colonpos+2));

		switch(header) {
		case "Content-Disposition":
			ret.name=attrib.name;
			ret.filename=attrib.filename;
			break;
		}
	}

	ret.content=file.read();
	// strip away traling \r\n--
	ret.content=ret.content.substr(0,ret.content.length-4);
	return ret;
}

mime.encode=function(obj, file) {
	if (obj.name!=undefined && obj.filename!=undefined) {
		file.write("Content-Disposition: ");
		file.write(mime.name_value_pair_encode({name: obj.name, filename:obj.filename}));
	}
	if (obj.content!=undefined) {
		file.write(obj.content);
		file.write("\r\n--");
	}
}
