C.parsed_code.prototype.loaddls=function(default_dl) {
	this.dlobjs=[];
	for (var index in this.dls) {
		if (typeof(this.dls[index])=="string")
			this.dlobjs[index]=dl(this.dls[index]); // load dl
		else if (this.dls[index]==0)
			this.dlobjs[index]=dl(null); // main program
	}
	if (default_dl!=undefined)
		this.dlobjs[0]=default_dl; // default
}

/*

C::parsed_code::link(ident)

Finds out which symbols are in which library.
Removes unresolved symbols

*/

C.parsed_code.prototype.link=function(ident, default_dl) {

		var dlindex;
		for (var i in this.dlobjs)
			if (this.dlobjs[i].symbolExists(ident))
				return i;

		var warning="Warning: unresolved "+ident;
		if (global._resolve != undefined || global.print !=undefined)
			print(warning,"\n");
		else
			_.puts(warning);

}
