EDIT.prototype.CHARFROMPOS=function(x,y) {
	return _.SendMessage(this.Wnd, _.EM_CHARFROMPOS, 0, _.MAKELPARAM(x,y));
}

EDIT.prototype.GETLINE=function(line) {
	if (line==undefined) line=0;
	var trylen=80;
	for (;;) {
		var buflen=(trylen+1)*windows.CharSize;
		if (buflen<4) buflen=4;
		var buf=new Pointer(buflen);
		_.memcpy(buf,[trylen],4);
		var len=_.SendMessage(this.Wnd, _.EM_GETLINE, line, buf);
		if (len<trylen) break;
		trylen*=2;
	}
	return windows.Str.call(buf,len);
}

EDIT.prototype.REPLACESEL=function(str, canundo) {
	if (canundo==undefined) canundo=true;
	var x=_.StrDup(String(str)); // Need to make a copy because of
					// type mismatch. The lParam parameter
					// in SendMessage is declared as an int,
					// and a string will not convert correctly
					// to an int. A pointer, on the other hand,
					// will.
	if (x!=null) {
		var len=_.SendMessage(this.Wnd, _.EM_REPLACESEL, canundo, x);
	
		_.LocalFree(x);
	}
}

EDIT.prototype.GETSEL=function() {
	var ret=_.SendMessage(this.Wnd, _.EM_GETSEL, 0, 0);
	return [ret&0xffff, (ret>>16)&0xffff];
}

EDIT.prototype.GETMARGINS=function() {
	var ret=_.SendMessage(this.Wnd, _.EM_GETMARGINS, 0, 0);
	return [ret&0xffff, (ret>>16)&0xffff];
}
